Sync libchipcard 4.2.9-2 (universe) from Debian unstable (main)

Bug #589920 reported by Felix Geyer on 2010-06-04
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libchipcard (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync libchipcard 4.2.9-2 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
> * Merge from debian unstable, remaining changes:
> - Bump build-depend on debhelper to install udev rules into
> /lib/udev/rules.d, add Breaks on udev to get correct version.
> - On upgrade from old version and with modified rules file rename old
> udev rules file to /etc/udev/rules.d/40_libchipcard-tools.rules
> (instead to /etc/udev/rules.d/z60_libchipcard-tools.rules).
> This is needed due to the patch to Ubuntu's dh_installudev in
> debhelper 7.0.17ubuntu2.
In maverick we can safely assume that a recent enough debhelper and udev
package is installed.
Upgrades are only supported from lucid so we can drop the second change too.

Changelog entries since current maverick version 4.2.8-1ubuntu1:

libchipcard (4.2.9-2) unstable; urgency=low

  * Update udev rules now using ATTR{} instead of SYSFS{} attributes
    (closes: #563086).
  * Package is compliant to Debian Policy 3.8.4 (no changes needed).

 -- Micha Lenk <email address hidden> Sat, 06 Mar 2010 12:41:58 +0100

libchipcard (4.2.9-1) unstable; urgency=low

  * New upstream release
    + fixes faulty use of D-BUS protocol (closes: #532893, LP: #429853)
    + doesn't show confusing "Closing GWEN" message anymore (LP: #429887).
  * libchipcard-dev: Fix weak library dependencies on libchipcardc2 and
    libchipcard-ctapi0 (thanks to lintian).
  * Fix typos in package descriptions (closes: 557498, 557499, 557500, 557501).
    Thanks to Pascal De Vuyst for pointing them out.
  * Improve NEWS entry for libchipcard-tools, clarifying that a
    disabled init script will need a manual check for correct boot order.

 -- Micha Lenk <email address hidden> Mon, 28 Dec 2009 14:29:12 +0100

libchipcard (4.2.8-2) unstable; urgency=low

  * Clean up directory /var/run/chipcard/ on purge of libchipcard-tools.
  * Bump standards version. Package is compliant to standards version 3.8.3 now
    (no changes needed).
  * Improve bug script to include information about used resource manager and
    pcscd package/daemon status.
  * Add comments about usage with pcscd to README.Debian for packages
    libchipcard-tools and libchipcardc2 (closes: #362844).
  * Don't ship .la-files for plugin shared libraries any more.
  * Update maintainer's mail address and drop DM upload privileges.
  * Change init.d LSB header dependency on hal to a soft dependency
    (closes: #548581). Thanks to Petter Reinholdtsen for providing the patch.
  * Let init script provide libchipcard-tools in init.d LSB headers.
  * Add new symbols (stuff like *_GetLinkCount) to symbols file.

 -- Micha Lenk <email address hidden> Mon, 28 Sep 2009 21:46:09 +0200

Felix Geyer (debfx) wrote :

Syncing this package fixes bug #551172.

Micha Lenk (micha) wrote :

Syncing would loose all Ubuntu specific (mostly udev related) changes, wouldn't it?

Felix Geyer (debfx) wrote :

Yes, but they aren't needed anymore as upgrades to maverick are only supported from lucid
and maverick never had old versions of udev and debhelper so the versioned depends/break can be dropped.

Micha Lenk (micha) wrote :

Regarding old udev versions: Granted. But what's about the other changes? For instance the configuration file /etc/udev/rules.d/40_libchipcard-tools.rules was only available in Ubuntu versions of this package. The maintainer scripts I wrote for Debian will not take care of these. Additionally in the past the Ubuntu packages had some initscript renumberings, that the maintainer scripts need to take care of.

I would prefer if Ubuntu would NOT sync the package with Debian now. Instead Ubuntu should wait until libchipcard 5 (currently available in Debian experimental) is in Debian unstable. This version does not need a daemon at all any more, so all changes and bugs related to libchipcard's initscript or udev rules would be solved at once and forever.

Felix Geyer (debfx) wrote :

This is the Ubuntu delta: https://merges.ubuntu.com/libc/libchipcard/libchipcard_4.2.8-1ubuntu1.patch

The libchipcard package in karmic/lucid will take care of (re-)moving /etc/udev/rules.d/40_libchipcard-tools.rules.
So we don't need to worry about it when upgrading to maverick.
Regarding the init script, I don't see any code in the Ubuntu diff that takes care of renumbering.

So unless an Ubuntu specific change has accidently been dropped at some point I see no reason why this shouldn't be synced.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Ok, agreed, let's go ahead and sync the package.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkwP2o0ACgkQWN0/4pnhQbT2sACg3Sqyzfb6p4+GfbCV8i0S8EPw
eWUAn1rlb0QQXdpMM/LglJwZb4CLJzNW
=BA+Q
-----END PGP SIGNATURE-----

Changed in libchipcard (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libchipcard - 4.2.9-2

---------------
libchipcard (4.2.9-2) unstable; urgency=low

  * Update udev rules now using ATTR{} instead of SYSFS{} attributes
    (closes: #563086).
  * Package is compliant to Debian Policy 3.8.4 (no changes needed).

libchipcard (4.2.9-1) unstable; urgency=low

  * New upstream release
    + fixes faulty use of D-BUS protocol (closes: #532893, LP: #429853)
    + doesn't show confusing "Closing GWEN" message anymore (LP: #429887).
  * libchipcard-dev: Fix weak library dependencies on libchipcardc2 and
    libchipcard-ctapi0 (thanks to lintian).
  * Fix typos in package descriptions (closes: 557498, 557499, 557500, 557501).
    Thanks to Pascal De Vuyst for pointing them out.
  * Improve NEWS entry for libchipcard-tools, clarifying that a
    disabled init script will need a manual check for correct boot order.

libchipcard (4.2.8-2) unstable; urgency=low

  * Clean up directory /var/run/chipcard/ on purge of libchipcard-tools.
  * Bump standards version. Package is compliant to standards version 3.8.3 now
    (no changes needed).
  * Improve bug script to include information about used resource manager and
    pcscd package/daemon status.
  * Add comments about usage with pcscd to README.Debian for packages
    libchipcard-tools and libchipcardc2 (closes: #362844).
  * Don't ship .la-files for plugin shared libraries any more.
  * Update maintainer's mail address and drop DM upload privileges.
  * Change init.d LSB header dependency on hal to a soft dependency
    (closes: #548581). Thanks to Petter Reinholdtsen for providing the patch.
  * Let init script provide libchipcard-tools in init.d LSB headers.
  * Add new symbols (stuff like *_GetLinkCount) to symbols file.
 -- Felix Geyer <email address hidden> Sat, 06 Mar 2010 12:41:58 +0100

Changed in libchipcard (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers